IM_TILE_CACHE(3)

NAME
im_tile_cache - cache an image, tilewise

SYNOPSIS
#include <vips/vips.h> int
im_tile_cache( IMAGE *in, IMAGE *out,
    int tile_width, int tile_height, int max_tiles );

DESCRIPTION
tile_cache(3) behaves rather like im_copy(3) between images in and out, except that it keeps a cache of computed pixels. This cache is made of up to max_tiles tiles (a value of -1 for max means any number of tiles), and each tile is of size tile_width by tile_height pixels. Each cache tile is made with a single call to im_prepare(3). This is a lower-level operation than im_cache(3) since it does no subdivision. It is suitable for caching the output of operations like im_exr2vips(3) on tiled images.

RETURN VALUE
The function returns 0 on success, and non-zero on error, setting im_error().

SEE ALSO
im_prepare(3)

AUTHOR
J Cupitt, 2006